## ros-indigo-abb-driver 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(abb_driver)

find_package(catkin REQUIRED COMPONENTS industrial_robot_client simple_message)

catkin_package(
  CATKIN_DEPENDS industrial_robot_client
)

add_definitions(-DLINUXSOCKETS=1)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)


add_executable(${PROJECT_NAME}_robot_state
  src/abb_robot_state_node.cpp
  src/abb_utils.cpp)
target_link_libraries(${PROJECT_NAME}_robot_state
  industrial_robot_client
  simple_message
  ${catkin_LIBRARIES})
set_target_properties(
  ${PROJECT_NAME}_robot_state
  PROPERTIES OUTPUT_NAME robot_state PREFIX "")

add_executable(${PROJECT_NAME}_motion_download_interface
  src/abb_joint_downloader_node.cpp
  src/abb_utils.cpp)
target_link_libraries(${PROJECT_NAME}_motion_download_interface
  industrial_robot_client
  simple_message
  ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_motion_download_interface
  PROPERTIES OUTPUT_NAME motion_download_interface PREFIX "")


install(
  TARGETS
    ${PROJECT_NAME}_robot_state
    ${PROJECT_NAME}_motion_download_interface
  DESTINATION
    ${CATKIN_PACKAGE_BIN_DESTINATION}
)

foreach(dir launch rapid)
  install(
    DIRECTORY ${dir}/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

=== debian/changelog ===
ros-indigo-abb-driver (1.2.1-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-indigo-abb-driver (1.2.0-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sat, 06 Jun 2015 05:00:00 -0000

ros-indigo-abb-driver (1.1.9-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Tue, 07 Apr 2015 05:00:00 -0000

ros-indigo-abb-driver (1.1.8-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Mon, 06 Apr 2015 05:00:00 -0000

ros-indigo-abb-driver (1.1.7-0trusty) trusty; urgency=high

  * Merged hydro branch
    - Updated CHANGELOG.rst and package.xml files
  * Contributors: Levi Armstrong

 -- Shaun Edwards <sedwards@swri.org>  Wed, 01 Apr 2015 05:00:00 -0000

ros-indigo-abb-driver (1.1.6-0trusty) trusty; urgency=high

  * Fix typos and links in CHANGELOG.rst
  * Contributors: Levi Armstrong

 -- Shaun Edwards <sedwards@swri.org>  Tue, 17 Mar 2015 05:00:00 -0000

ros-indigo-abb-driver (1.1.5-0trusty) trusty; urgency=high

  * driver: ROS_motionServer.mod was checking for wrong comm type to send reply
    message, causing driver to quit working after stop command.
    Fix #42 <https://github.com/ros-industrial/abb/issues/42>.
  * Contributors: Levi Armstrong

 -- Shaun Edwards <sedwards@swri.org>  Tue, 17 Mar 2015 05:00:00 -0000

ros-indigo-abb-driver (1.1.4-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sun, 14 Dec 2014 06:00:00 -0000

ros-indigo-abb-driver (1.1.3-0trusty) trusty; urgency=high

  * driver: reintroduce coupling factor default.
    Reverts 3765cd6.
  * Bump versions.
  * driver: remove default for J23 coupling parameter.
    Users should explicitly provide this on the command line, or use one
    of the convenience launchfiles provided with the support packages.
    It is of critical importance that this parameter is set to the
    correct value, and should therefore not be supplied a default in
    a (for end-users) file with low visibility.
  * driver: move driver (Rapid and nodes) into separate package.
    Node sources, headers and launch files copied from abb_common.
  * Contributors: gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Fri, 05 Sep 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-abb-driver
Section: misc
Priority: extra
Maintainer: Shaun Edwards <sedwards@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-industrial-robot-client
Homepage: http://ros.org/wiki/abb_driver
Standards-Version: 3.9.2

Package: ros-indigo-abb-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-industrial-robot-client
Description: ROS-Industrial nodes for interfacing with ABB robot controllers.
 This package is part of the ROS-Industrial program and contains nodes for interfacing with ABB industrial robot controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-abb-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
